#!/usr/bin/bash

boot_timeout=30 # delay update on boot for 30 seconds, allowing user to skip

. '/etc/dnf-autoupdate.conf' 2> /dev/null

export LC_ALL=C.UTF-8

if ! (dnf --cacheonly --assumeno update &> /dev/null); then
	dnf --cacheonly --assumeno update 2>&1 | head -n-1
	echo
	if ! read -p "DNF Updates available, apply now? (auto apply in $boot_timeout secs) [y/N] " -t "$boot_timeout" -r reply; then
		reply=y
	fi
	if [ "$reply" = "y" ] || [ "$reply" = "Y" ]; then
		dnf --cacheonly --assumeyes update
	fi
fi

rm -f '/run/dnf-autoupdate.state'
