#!/usr/bin/bash

reboot_on_idle=0 # reboot if security updates were installed and no user sessions present

. '/etc/dnf-autoupdate.conf' 2> /dev/null

sec_update_installed=0

. '/run/dnf-autoupdate.state' 2> /dev/null

export LC_ALL=C.UTF-8

if ! dnf --refresh --assumeno update --security; then
	if dnf --assumeyes update --security; then
		sec_update_installed=1
	fi
fi

umask 077
echo "sec_update_installed=$sec_update_installed" > '/run/dnf-autoupdate.state'

dnf --downloadonly update

if [ $sec_update_installed -ne 0 ] && [ $reboot_on_idle -ne 0 ]; then
	sessions="$(busctl get-property org.freedesktop.login1 /org/freedesktop/login1 org.freedesktop.login1.Manager NCurrentSessions | awk '{ print $2 }')"
	if [ "$sessions" = "0" ]; then
		systemctl reboot
	fi
fi
